| Home | Libraries | People | FAQ | More

###### value::get_uint64 (1 of 2 overloads)

Return a reference to the underlying `std::uint64_t`, without checking.

###### Synopsis

    std::uint64_t&
    get_uint64();

###### Description

This is the fastest way to access the underlying representation when the kind is known in advance.

###### Preconditions

    this->is_uint64()

###### Complexity

Constant.

###### Exception Safety

No-throw guarantee.